@mixin make-frame-col($size: false, $columns: $grid-columns) {
  @if $size {
    width: percentage(divide($size, $columns)) !important;
  }
}

.page-frame {
  margin-left: $spacer * 3;
  margin-right: $spacer * 2;
  margin-top: $spacer;
  margin-bottom: 400px;
  display: flex;
  flex-direction: column;
  min-height: 100%;

  background-color: var(--bs-body-bg);
  border-top-left-radius: $border-radius-lg;
  border-top-right-radius: $border-radius-lg;
  max-width: 1500px;
  min-width: 450px;
  border: 1px solid rgba(var(--bs-dark-rgb), 0.1);

  transition: all 1s ease-in-out;

  .page-frame-header {
    border-top-left-radius: $border-radius-lg;
    border-top-right-radius: $border-radius-lg;
    border-bottom: 1px solid rgba(var(--bs-dark-rgb), 0.1);
    height: 40px;
    overflow: hidden;
    background-color: rgba(var(--bs-white), 0.8);
  }

  .page-frame-body {
    flex: 1;
    display: flex;

    & > .highlight, & > .input-layout {
      flex-grow: 1;
    }
  }

  .page-col {
    min-height: 1rem;

    &.empty {
      background-image: linear-gradient(
        45deg,
        rgba(var(--bs-indigo-100-rgb), 0.65) 25%,
        transparent 25%,
        transparent 50%,
        rgba(var(--bs-indigo-100-rgb), 0.65) 50%,
        rgba(var(--bs-indigo-100-rgb), 0.65) 75%,
        transparent 75%,
        transparent
      );
      background-size: 0.3rem 0.3rem;
      text-align: center;
      color: rgb(var(--bs-indigo-500-rgb));
    }
  }

  &.enforce-lg-size {
    max-width: 1024px;
    min-width: 767px;
    margin-left: $spacer * 3;
    margin-right: $spacer * 2;
  }

  &.enforce-md-size {
    max-width: 768px;
    min-width: 577px;
    margin-left: $spacer * 3;
    margin-right: $spacer * 2;
  }

  &.enforce-sm-size {
    max-width: 576px;
    margin-left: $spacer * 3;
    margin-right: $spacer * 2;
  }

  .presentation-slide {
    & > div > .container > .row {
      min-height: 80vh;
    }
  }

  .presentation-slide-footer {
    background-color: rgba(var(--bs-blue-100-rgb), 0.9);
    background-image: linear-gradient(
      45deg,
      rgba(var(--bs-indigo-100), 0.65) 25%,
      transparent 25%,
      transparent 50%,
      rgba(var(--bs-indigo-100), 0.65) 50%,
      rgba(var(--bs-indigo-100), 0.65) 75%,
      transparent 75%,
      transparent
    );
    background-size: 0.3rem 0.3rem;

    .btn-outline-primary {
      background-color: var(--bs-white);

      &:hover,
      &:active,
      &:focus {
        background-color: var(--bs-blue-400);
      }
    }
  }

  .presentation-slide-title {
    border-top: 1px solid var(--bs-blue-300);
    background-color: var(--bs-blue-100);
    font-size: $small-font-size;
    color: var(--bs-dark);

    .btn-delete {
      border: 0;
      padding: 0;
      margin: 0;
      background-image: none;
    }
  }
}
